#ifndef __creaImageIOWxPACSConnectionPanel_h_INCLUDED__
#define __creaImageIOWxPACSConnectionPanel_h_INCLUDED__

#ifdef USE_WXWIDGETS
#include <creaWx.h>
#include <creaImageIOWxGimmickView.h>


namespace creaImageIO
{
  /**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
  class WxPACSConnectionPanel : public wxPanel
  {
  public:
    WxPACSConnectionPanel();    
	WxPACSConnectionPanel(wxWindow *parent, 
		wxDialog* dial,
		WxGimmickView* view);
    
    ~WxPACSConnectionPanel();
	///Queries the PACS
	 void OnQueryPACS(wxCommandEvent& event);  

  private :
	wxTextCtrl* aeTitle;
	wxTextCtrl* pNumber;
	wxTextCtrl*	address;
	wxDialog* dialog;
	WxGimmickView* mView;


  }; // class WxPACSConnectionPanel
  //=====================================================================

  
} // EO namespace creaImageIO


#endif // USE_WIDGETS
// EOF
#endif


